package main

import (
	"fmt"
	"sevenkeys/database"
	"sevenkeys/logic"
)

func main() {
	db := database.GetDatabaseFromConfig("config.json")

	fmt.Println("Checking for updates...")
	needsUpdate, err := logic.CheckForUpdates(db)
	logic.Check(err)

	if needsUpdate {
		fmt.Println("Update required.")
		if logic.ConfirmUpdate() {
			fmt.Println("User authorized update")
			/*
				err = logic.RunScryfallUpdate()
				logic.Check(err)
			*/
		}
	}
}
